## gate.gui
Class SerialControllerEditor.LoadedPRsTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--gate.gui.SerialControllerEditor.LoadedPRsTableModel

All Implemented Interfaces:
  Serializable, TableModel

Enclosing class:
  SerialControllerEditor

class SerialControllerEditor.LoadedPRsTableModel
extends AbstractTableModel

Table model for all the loaded processing resources that are not part of the controller.

See Also:
  Serialized Form

Field Summary
`(package private) NameComparator` `nameComparator`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`(package private)` `SerialControllerEditor.LoadedPRsTableModel()`

Method Summary
`Class` `getColumnClass(int columnIndex)`
`int` `getColumnCount()`
`String` `getColumnName(int columnIndex)`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int rowIndex, int columnIndex)`
`void` `setValueAt(Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### nameComparator

    NameComparator nameComparator

Constructor Detail

### SerialControllerEditor.LoadedPRsTableModel

    SerialControllerEditor.LoadedPRsTableModel()

Method Detail

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Overrides:
    `getValueAt` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int columnIndex)

  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int columnIndex)

  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### setValueAt

    public void setValueAt(Object aValue,
                           int rowIndex,
                           int columnIndex)

  Overrides:
    `setValueAt` in class `AbstractTableModel`